changeset 232:369d869082fd

hg-rebase-all: corrected wc cleanliness check
author Augie Fackler <durin42@gmail.com>
date Mon, 11 Oct 2010 22:56:06 -0500
parents 6da5a4729bc7
children da06f9fd5016
files .shell.d/50.hg_functions.sh
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/.shell.d/50.hg_functions.sh
+++ b/.shell.d/50.hg_functions.sh
@@ -12,7 +12,7 @@ function mq-snapshot () {
 }
 
 function hg_rebase_all () {
-    hg sum | grep 'commit: .* (clean)$' || (echo 'abort: wc not clean' ; return 1) || return 1
+    hg sum | egrep 'commit: .*\(clean\)$' || (echo 'abort: wc not clean' ; return 1) || return 1
     if [ "x$1" = "x" ] ; then
 	echo 'abort: give destination for rebase'
 	return 2